package com.zhongzheng.modules.activity.service;

import com.zhongzheng.modules.activity.domain.ActivityConfigurationUse;
import com.zhongzheng.modules.activity.vo.ActivityConfigurationUseVo;
import com.zhongzheng.modules.activity.bo.ActivityConfigurationUseQueryBo;
import com.zhongzheng.modules.activity.bo.ActivityConfigurationUseAddBo;
import com.zhongzheng.modules.activity.bo.ActivityConfigurationUseEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author change
 * @date 2021-06-15
 */
public interface IActivityConfigurationUseService extends IService<ActivityConfigurationUse> {
	/**
	 * 查询单个
	 * @return
	 */
	ActivityConfigurationUseVo queryById(Long userId);

	/**
	 * 查询列表
	 */
	List<ActivityConfigurationUseVo> queryList(ActivityConfigurationUseQueryBo bo);

	/**
	 * 根据新增业务对象插入【请填写功能名称】
	 * @param bo 【请填写功能名称】新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ActivityConfigurationUseAddBo bo);

	/**
	 * 根据编辑业务对象修改【请填写功能名称】
	 * @param bo 【请填写功能名称】编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ActivityConfigurationUseEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);



	/**
	 * 查询是否已领取
	 * @param bo 主键集合
	 * @return boolean
	 */
	boolean receive(ActivityConfigurationUseAddBo bo);

    Integer countConfig(Long id);

	Integer queryByCount(Long userId);
}
